[pjsip] patches for newer libav* compatibility

Vittorio Giovara vittorio.giovara at savoirfairelinux.com
Fri May 16 14:51:19 EDT 2014


Hello,
with this patches it is possible to compile under ubuntu (or any other 
distro) and with any recent (2+ years) libavcodec/libavutil libraries, 
independently of ffmpeg or libav. I spent some time in removing and 
updating some deprecated API functions too.

Feel free to review and apply.
Cheers,
Vittorio
-------------- next part --------------
A non-text attachment was scrubbed...
Name: 0001-Rework-libavcodec-and-libavutil-version-checking.patch
Type: text/x-patch
Size: 10892 bytes
Desc: not available
URL: <http://lists.pjsip.org/pipermail/pjsip_lists.pjsip.org/attachments/20140516/003cd0b3/attachment.patch>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: 0002-Update-pixel-format-enum-to-the-AV-prefixed-version.patch
Type: text/x-patch
Size: 10069 bytes
Desc: not available
URL: <http://lists.pjsip.org/pipermail/pjsip_lists.pjsip.org/attachments/20140516/003cd0b3/attachment-0001.patch>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: 0003-Update-codec-id-enum-to-the-AV-prefixed-version.patch
Type: text/x-patch
Size: 2742 bytes
Desc: not available
URL: <http://lists.pjsip.org/pipermail/pjsip_lists.pjsip.org/attachments/20140516/003cd0b3/attachment-0002.patch>


More information about the pjsip mailing list